/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2022 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.coreui;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum CoreUiFree implements Ikon {
    ACCOUNT_LOGOUT("cil-account-logout", '\uea03'),
    ACTION_REDO("cil-action-redo", '\uea04'),
    ACTION_UNDO("cil-action-undo", '\uea05'),
    ADDRESS_BOOK("cil-address-book", '\uea06'),
    AIRPLANE_MODE("cil-airplane-mode", '\uea07'),
    AIRPLANE_MODE_OFF("cil-airplane-mode-off", '\uea08'),
    AIRPLAY("cil-airplay", '\uea09'),
    ALARM("cil-alarm", '\uea0a'),
    ALBUM("cil-album", '\uea0b'),
    ALIGN_CENTER("cil-align-center", '\uea0c'),
    ALIGN_LEFT("cil-align-left", '\uea0d'),
    ALIGN_RIGHT("cil-align-right", '\uea0e'),
    AMERICAN_FOOTBALL("cil-american-football", '\uea0f'),
    ANIMAL("cil-animal", '\uea10'),
    APERTURE("cil-aperture", '\uea11'),
    APPLE("cil-apple", '\uea12'),
    APPLICATIONS("cil-applications", '\uea13'),
    APPLICATIONS_SETTINGS("cil-applications-settings", '\uea14'),
    APPS("cil-apps", '\uea15'),
    APPS_SETTINGS("cil-apps-settings", '\uea16'),
    ARROW_BOTTOM("cil-arrow-bottom", '\uea17'),
    ARROW_CIRCLE_BOTTOM("cil-arrow-circle-bottom", '\uea18'),
    ARROW_CIRCLE_LEFT("cil-arrow-circle-left", '\uea19'),
    ARROW_CIRCLE_RIGHT("cil-arrow-circle-right", '\uea1a'),
    ARROW_CIRCLE_TOP("cil-arrow-circle-top", '\uea1b'),
    ARROW_LEFT("cil-arrow-left", '\uea1c'),
    ARROW_RIGHT("cil-arrow-right", '\uea1d'),
    ARROW_THICK_BOTTOM("cil-arrow-thick-bottom", '\uea1e'),
    ARROW_THICK_FROM_BOTTOM("cil-arrow-thick-from-bottom", '\uea1f'),
    ARROW_THICK_FROM_LEFT("cil-arrow-thick-from-left", '\uea20'),
    ARROW_THICK_FROM_RIGHT("cil-arrow-thick-from-right", '\uea21'),
    ARROW_THICK_FROM_TOP("cil-arrow-thick-from-top", '\uea22'),
    ARROW_THICK_LEFT("cil-arrow-thick-left", '\uea23'),
    ARROW_THICK_RIGHT("cil-arrow-thick-right", '\uea24'),
    ARROW_THICK_TOP("cil-arrow-thick-top", '\uea29'),
    ARROW_THICK_TO_BOTTOM("cil-arrow-thick-to-bottom", '\uea25'),
    ARROW_THICK_TO_LEFT("cil-arrow-thick-to-left", '\uea26'),
    ARROW_THICK_TO_RIGHT("cil-arrow-thick-to-right", '\uea27'),
    ARROW_THICK_TO_TOP("cil-arrow-thick-to-top", '\uea28'),
    ARROW_TOP("cil-arrow-top", '\uea2a'),
    ASSISTIVE_LISTENING_SYSTEM("cil-assistive-listening-system", '\uea2b'),
    ASTERISK("cil-asterisk", '\uea2c'),
    ASTERISK_CIRCLE("cil-asterisk-circle", '\uea2d'),
    AT("cil-at", '\uea2e'),
    AUDIO("cil-audio", '\uea2f'),
    AUDIO_DESCRIPTION("cil-audio-description", '\uea30'),
    AUDIO_SPECTRUM("cil-audio-spectrum", '\uea31'),
    AV_TIMER("cil-av-timer", '\uea32'),
    BABY("cil-baby", '\uea33'),
    BABY_CARRIAGE("cil-baby-carriage", '\uea34'),
    BACKSPACE("cil-backspace", '\uea35'),
    BADGE("cil-badge", '\uea36'),
    BALANCE_SCALE("cil-balance-scale", '\uea37'),
    BAN("cil-ban", '\uea38'),
    BANK("cil-bank", '\uea39'),
    BARCODE("cil-barcode", '\uea3b'),
    BAR_CHART("cil-bar-chart", '\uea3a'),
    BASEBALL("cil-baseball", '\uea3c'),
    BASKET("cil-basket", '\uea3d'),
    BASKETBALL("cil-basketball", '\uea3e'),
    BATH("cil-bath", '\uea3f'),
    BATHROOM("cil-bathroom", '\uea40'),
    BATTERY_0("cil-battery-0", '\uea41'),
    BATTERY_3("cil-battery-3", '\uea42'),
    BATTERY_5("cil-battery-5", '\uea43'),
    BATTERY_ALERT("cil-battery-alert", '\uea44'),
    BATTERY_EMPTY("cil-battery-empty", '\uea45'),
    BATTERY_FULL("cil-battery-full", '\uea46'),
    BATTERY_SLASH("cil-battery-slash", '\uea47'),
    BEACH_ACCESS("cil-beach-access", '\uea48'),
    BEAKER("cil-beaker", '\uea49'),
    BED("cil-bed", '\uea4a'),
    BELL("cil-bell", '\uea4b'),
    BELL_EXCLAMATION("cil-bell-exclamation", '\uea4c'),
    BIKE("cil-bike", '\uea4d'),
    BIRTHDAY_CAKE("cil-birthday-cake", '\uea4e'),
    BLIND("cil-blind", '\uea4f'),
    BLUETOOTH("cil-bluetooth", '\uea50'),
    BLUR("cil-blur", '\uea51'),
    BLUR_CIRCULAR("cil-blur-circular", '\uea52'),
    BLUR_LINEAR("cil-blur-linear", '\uea53'),
    BOAT_ALT("cil-boat-alt", '\uea54'),
    BOLD("cil-bold", '\uea55'),
    BOLT("cil-bolt", '\uea56'),
    BOLT_CIRCLE("cil-bolt-circle", '\uea57'),
    BOOK("cil-book", '\uea58'),
    BOOKMARK("cil-bookmark", '\uea59'),
    BORDER_ALL("cil-border-all", '\uea5a'),
    BORDER_BOTTOM("cil-border-bottom", '\uea5b'),
    BORDER_CLEAR("cil-border-clear", '\uea5c'),
    BORDER_HORIZONTAL("cil-border-horizontal", '\uea5d'),
    BORDER_INNER("cil-border-inner", '\uea5e'),
    BORDER_LEFT("cil-border-left", '\uea5f'),
    BORDER_OUTER("cil-border-outer", '\uea60'),
    BORDER_RIGHT("cil-border-right", '\uea61'),
    BORDER_STYLE("cil-border-style", '\uea62'),
    BORDER_TOP("cil-border-top", '\uea63'),
    BORDER_VERTICAL("cil-border-vertical", '\uea64'),
    BOWLING("cil-bowling", '\uea65'),
    BRAILLE("cil-braille", '\uea66'),
    BRIEFCASE("cil-briefcase", '\uea67'),
    BRIGHTNESS("cil-brightness", '\uea68'),
    BRITISH_POUND("cil-british-pound", '\uea69'),
    BROWSER("cil-browser", '\uea6a'),
    BRUSH("cil-brush", '\uea6b'),
    BRUSH_ALT("cil-brush-alt", '\uea6c'),
    BUG("cil-bug", '\uea6d'),
    BUILDING("cil-building", '\uea6e'),
    BULLHORN("cil-bullhorn", '\uea6f'),
    BURGER("cil-burger", '\uea70'),
    BURN("cil-burn", '\uea71'),
    BUS_ALT("cil-bus-alt", '\uea72'),
    CALCULATOR("cil-calculator", '\uea73'),
    CALENDAR("cil-calendar", '\uea74'),
    CALENDAR_CHECK("cil-calendar-check", '\uea75'),
    CAMERA("cil-camera", '\uea76'),
    CAMERA_CONTROL("cil-camera-control", '\uea77'),
    CAMERA_ROLL("cil-camera-roll", '\uea78'),
    CARET_BOTTOM("cil-caret-bottom", '\uea7a'),
    CARET_LEFT("cil-caret-left", '\uea7b'),
    CARET_RIGHT("cil-caret-right", '\uea7c'),
    CARET_TOP("cil-caret-top", '\uea7d'),
    CART("cil-cart", '\uea7e'),
    CAR_ALT("cil-car-alt", '\uea79'),
    CASH("cil-cash", '\uea7f'),
    CASINO("cil-casino", '\uea80'),
    CAST("cil-cast", '\uea81'),
    CAT("cil-cat", '\uea82'),
    CC("cil-cc", '\uea83'),
    CENTER_FOCUS("cil-center-focus", '\uea84'),
    CHART("cil-chart", '\uea85'),
    CHART_LINE("cil-chart-line", '\uea86'),
    CHART_PIE("cil-chart-pie", '\uea87'),
    CHAT_BUBBLE("cil-chat-bubble", '\uea88'),
    CHECK("cil-check", '\uea89'),
    CHECK_ALT("cil-check-alt", '\uea8a'),
    CHECK_CIRCLE("cil-check-circle", '\uea8b'),
    CHEVRON_BOTTOM("cil-chevron-bottom", '\uea8c'),
    CHEVRON_CIRCLE_DOWN_ALT("cil-chevron-circle-down-alt", '\uea8d'),
    CHEVRON_CIRCLE_LEFT_ALT("cil-chevron-circle-left-alt", '\uea8e'),
    CHEVRON_CIRCLE_RIGHT_ALT("cil-chevron-circle-right-alt", '\uea8f'),
    CHEVRON_CIRCLE_UP_ALT("cil-chevron-circle-up-alt", '\uea90'),
    CHEVRON_DOUBLE_DOWN("cil-chevron-double-down", '\uea91'),
    CHEVRON_DOUBLE_LEFT("cil-chevron-double-left", '\uea92'),
    CHEVRON_DOUBLE_RIGHT("cil-chevron-double-right", '\uea93'),
    CHEVRON_DOUBLE_UP("cil-chevron-double-up", '\uea94'),
    CHEVRON_LEFT("cil-chevron-left", '\uea95'),
    CHEVRON_RIGHT("cil-chevron-right", '\uea96'),
    CHEVRON_TOP("cil-chevron-top", '\uea97'),
    CHILD("cil-child", '\uea98'),
    CHILD_FRIENDLY("cil-child-friendly", '\uea99'),
    CIRCLE("cil-circle", '\uea9a'),
    CLEAR_ALL("cil-clear-all", '\uea9b'),
    CLIPBOARD("cil-clipboard", '\uea9c'),
    CLOCK("cil-clock", '\uea9d'),
    CLONE("cil-clone", '\uea9e'),
    CLOSED_CAPTIONING("cil-closed-captioning", '\uea9f'),
    CLOUD("cil-cloud", '\ueaa0'),
    CLOUDY("cil-cloudy", '\ueaa3'),
    CLOUD_DOWNLOAD("cil-cloud-download", '\ueaa1'),
    CLOUD_UPLOAD("cil-cloud-upload", '\ueaa2'),
    CODE("cil-code", '\ueaa4'),
    COFFEE("cil-coffee", '\ueaa5'),
    COG("cil-cog", '\ueaa6'),
    COLOR_BORDER("cil-color-border", '\ueaa7'),
    COLOR_FILL("cil-color-fill", '\ueaa8'),
    COLOR_PALETTE("cil-color-palette", '\ueaa9'),
    COLUMNS("cil-columns", '\ueaaa'),
    COMMAND("cil-command", '\ueaab'),
    COMMENT_BUBBLE("cil-comment-bubble", '\ueaac'),
    COMMENT_SQUARE("cil-comment-square", '\ueaad'),
    COMPASS("cil-compass", '\ueaae'),
    COMPRESS("cil-compress", '\ueaaf'),
    CONTACT("cil-contact", '\ueab0'),
    CONTRAST("cil-contrast", '\ueab1'),
    CONTROL("cil-control", '\ueab2'),
    COPY("cil-copy", '\ueab3'),
    COUCH("cil-couch", '\ueab4'),
    CREDIT_CARD("cil-credit-card", '\ueab5'),
    CROP("cil-crop", '\ueab6'),
    CROP_ROTATE("cil-crop-rotate", '\ueab7'),
    CURSOR("cil-cursor", '\ueab8'),
    CURSOR_MOVE("cil-cursor-move", '\ueab9'),
    CUT("cil-cut", '\ueaba'),
    DATA_TRANSFER_DOWN("cil-data-transfer-down", '\ueabb'),
    DATA_TRANSFER_UP("cil-data-transfer-up", '\ueabc'),
    DEAF("cil-deaf", '\ueabd'),
    DELETE("cil-delete", '\ueabe'),
    DESCRIPTION("cil-description", '\ueabf'),
    DEVICES("cil-devices", '\ueac0'),
    DIALPAD("cil-dialpad", '\ueac1'),
    DIAMOND("cil-diamond", '\ueac2'),
    DINNER("cil-dinner", '\ueac3'),
    DISABLED("cil-disabled", '\ueac4'),
    DOG("cil-dog", '\ueac5'),
    DOLLAR("cil-dollar", '\ueac6'),
    DOOR("cil-door", '\ueac7'),
    DOUBLE_QUOTE_SANS_LEFT("cil-double-quote-sans-left", '\ueac8'),
    DOUBLE_QUOTE_SANS_RIGHT("cil-double-quote-sans-right", '\ueac9'),
    DRINK("cil-drink", '\ueaca'),
    DRINK_ALCOHOL("cil-drink-alcohol", '\ueacb'),
    DROP("cil-drop", '\ueacc'),
    ECO("cil-eco", '\ueacd'),
    EDUCATION("cil-education", '\ueace'),
    ELEVATOR("cil-elevator", '\ueacf'),
    ENVELOPE_CLOSED("cil-envelope-closed", '\uead0'),
    ENVELOPE_LETTER("cil-envelope-letter", '\uead1'),
    ENVELOPE_OPEN("cil-envelope-open", '\uead2'),
    EQUALIZER("cil-equalizer", '\uead3'),
    ETHERNET("cil-ethernet", '\uead4'),
    EURO("cil-euro", '\uead5'),
    EXCERPT("cil-excerpt", '\uead6'),
    EXIT_TO_APP("cil-exit-to-app", '\uead7'),
    EXPAND_DOWN("cil-expand-down", '\uead8'),
    EXPAND_LEFT("cil-expand-left", '\uead9'),
    EXPAND_RIGHT("cil-expand-right", '\ueada'),
    EXPAND_UP("cil-expand-up", '\ueadb'),
    EXPOSURE("cil-exposure", '\ueadc'),
    EXTERNAL_LINK("cil-external-link", '\ueadd'),
    EYEDROPPER("cil-eyedropper", '\ueade'),
    FACE("cil-face", '\ueadf'),
    FACE_DEAD("cil-face-dead", '\ueae0'),
    FACTORY("cil-factory", '\ueae1'),
    FACTORY_SLASH("cil-factory-slash", '\ueae2'),
    FASTFOOD("cil-fastfood", '\ueae3'),
    FAX("cil-fax", '\ueae4'),
    FEATURED_PLAYLIST("cil-featured-playlist", '\ueae5'),
    FILE("cil-file", '\ueae6'),
    FILTER("cil-filter", '\ueae7'),
    FILTER_FRAMES("cil-filter-frames", '\ueae8'),
    FILTER_PHOTO("cil-filter-photo", '\ueae9'),
    FILTER_SQUARE("cil-filter-square", '\ueaea'),
    FILTER_X("cil-filter-x", '\ueaeb'),
    FIND_IN_PAGE("cil-find-in-page", '\ueaec'),
    FINGERPRINT("cil-fingerprint", '\ueaed'),
    FIRE("cil-fire", '\ueaee'),
    FLAG_ALT("cil-flag-alt", '\ueaef'),
    FLIGHT_TAKEOFF("cil-flight-takeoff", '\ueaf0'),
    FLIP("cil-flip", '\ueaf1'),
    FLIP_TO_BACK("cil-flip-to-back", '\ueaf2'),
    FLIP_TO_FRONT("cil-flip-to-front", '\ueaf3'),
    FLOWER("cil-flower", '\ueaf4'),
    FOLDER("cil-folder", '\ueaf5'),
    FOLDER_OPEN("cil-folder-open", '\ueaf6'),
    FONT("cil-font", '\ueaf7'),
    FOOTBALL("cil-football", '\ueaf8'),
    FORK("cil-fork", '\ueaf9'),
    FRIDGE("cil-fridge", '\ueafa'),
    FROWN("cil-frown", '\ueafb'),
    FULLSCREEN("cil-fullscreen", '\ueafc'),
    FULLSCREEN_EXIT("cil-fullscreen-exit", '\ueafd'),
    FUNCTIONS("cil-functions", '\ueafe'),
    FUNCTIONS_ALT("cil-functions-alt", '\ueaff'),
    GAMEPAD("cil-gamepad", '\ueb00'),
    GARAGE("cil-garage", '\ueb01'),
    GAUGE("cil-gauge", '\ueb02'),
    GEM("cil-gem", '\ueb03'),
    GIF("cil-gif", '\ueb04'),
    GIFT("cil-gift", '\ueb05'),
    GLOBE_ALT("cil-globe-alt", '\ueb06'),
    GOLF("cil-golf", '\ueb07'),
    GOLF_ALT("cil-golf-alt", '\ueb08'),
    GRADIENT("cil-gradient", '\ueb09'),
    GRAIN("cil-grain", '\ueb0a'),
    GRAPH("cil-graph", '\ueb0b'),
    GRID("cil-grid", '\ueb0c'),
    GRID_SLASH("cil-grid-slash", '\ueb0d'),
    GROUP("cil-group", '\ueb0e'),
    HAMBURGER_MENU("cil-hamburger-menu", '\ueb0f'),
    HAND_POINT_DOWN("cil-hand-point-down", '\ueb10'),
    HAND_POINT_LEFT("cil-hand-point-left", '\ueb11'),
    HAND_POINT_RIGHT("cil-hand-point-right", '\ueb12'),
    HAND_POINT_UP("cil-hand-point-up", '\ueb13'),
    HAPPY("cil-happy", '\ueb14'),
    HD("cil-hd", '\ueb15'),
    HDR("cil-hdr", '\ueb16'),
    HEADER("cil-header", '\ueb17'),
    HEADPHONES("cil-headphones", '\ueb18'),
    HEALING("cil-healing", '\ueb19'),
    HEART("cil-heart", '\ueb1a'),
    HIGHLIGHTER("cil-highlighter", '\ueb1b'),
    HIGHLIGT("cil-highligt", '\ueb1c'),
    HISTORY("cil-history", '\ueb1d'),
    HOME("cil-home", '\ueb1e'),
    HOSPITAL("cil-hospital", '\ueb1f'),
    HOT_TUB("cil-hot-tub", '\ueb20'),
    HOUSE("cil-house", '\ueb21'),
    HTTPS("cil-https", '\ueb22'),
    IMAGE("cil-image", '\ueb23'),
    IMAGE_BROKEN("cil-image-broken", '\ueb24'),
    IMAGE_PLUS("cil-image-plus", '\ueb25'),
    INBOX("cil-inbox", '\ueb26'),
    INDENT_DECREASE("cil-indent-decrease", '\ueb27'),
    INDENT_INCREASE("cil-indent-increase", '\ueb28'),
    INDUSTRY("cil-industry", '\ueb29'),
    INDUSTRY_SLASH("cil-industry-slash", '\ueb2a'),
    INFINITY("cil-infinity", '\ueb2b'),
    INFO("cil-info", '\ueb2c'),
    INPUT("cil-input", '\ueb2d'),
    INPUT_HDMI("cil-input-hdmi", '\ueb2e'),
    INPUT_POWER("cil-input-power", '\ueb2f'),
    INSTITUTION("cil-institution", '\ueb30'),
    ITALIC("cil-italic", '\ueb31'),
    JUSTIFY_CENTER("cil-justify-center", '\ueb32'),
    JUSTIFY_LEFT("cil-justify-left", '\ueb33'),
    JUSTIFY_RIGHT("cil-justify-right", '\ueb34'),
    KEYBOARD("cil-keyboard", '\ueb35'),
    LAN("cil-lan", '\ueb36'),
    LANGUAGE("cil-language", '\ueb37'),
    LAPTOP("cil-laptop", '\ueb38'),
    LAYERS("cil-layers", '\ueb39'),
    LEAF("cil-leaf", '\ueb3a'),
    LEMON("cil-lemon", '\ueb3b'),
    LEVEL_DOWN("cil-level-down", '\ueb3c'),
    LEVEL_UP("cil-level-up", '\ueb3d'),
    LIBRARY("cil-library", '\ueb3e'),
    LIBRARY_ADD("cil-library-add", '\ueb3f'),
    LIBRARY_BUILDING("cil-library-building", '\ueb40'),
    LIFE_RING("cil-life-ring", '\ueb41'),
    LIGHTBULB("cil-lightbulb", '\ueb42'),
    LINE_SPACING("cil-line-spacing", '\ueb43'),
    LINE_STYLE("cil-line-style", '\ueb44'),
    LINE_WEIGHT("cil-line-weight", '\ueb45'),
    LINK("cil-link", '\ueb46'),
    LINK_ALT("cil-link-alt", '\ueb47'),
    LINK_BROKEN("cil-link-broken", '\ueb48'),
    LIST("cil-list", '\ueb49'),
    LIST_FILTER("cil-list-filter", '\ueb4a'),
    LIST_HIGH_PRIORITY("cil-list-high-priority", '\ueb4b'),
    LIST_LOW_PRIORITY("cil-list-low-priority", '\ueb4c'),
    LIST_NUMBERED("cil-list-numbered", '\ueb4d'),
    LIST_NUMBERED_RTL("cil-list-numbered-rtl", '\ueb4e'),
    LIST_RICH("cil-list-rich", '\ueb4f'),
    LOCATION_PIN("cil-location-pin", '\ueb50'),
    LOCK_LOCKED("cil-lock-locked", '\ueb51'),
    LOCK_UNLOCKED("cil-lock-unlocked", '\ueb52'),
    LOCOMOTIVE("cil-locomotive", '\ueb53'),
    LOOP("cil-loop", '\ueb54'),
    LOOP_1("cil-loop-1", '\ueb55'),
    LOOP_CIRCULAR("cil-loop-circular", '\ueb56'),
    LOW_VISION("cil-low-vision", '\ueb57'),
    MAGNIFYING_GLASS("cil-magnifying-glass", '\ueb58'),
    MAP("cil-map", '\ueb59'),
    MEDIA_EJECT("cil-media-eject", '\ueb5a'),
    MEDIA_PAUSE("cil-media-pause", '\ueb5b'),
    MEDIA_PLAY("cil-media-play", '\ueb5c'),
    MEDIA_RECORD("cil-media-record", '\ueb5d'),
    MEDIA_SKIP_BACKWARD("cil-media-skip-backward", '\ueb5e'),
    MEDIA_SKIP_FORWARD("cil-media-skip-forward", '\ueb5f'),
    MEDIA_STEP_BACKWARD("cil-media-step-backward", '\ueb60'),
    MEDIA_STEP_FORWARD("cil-media-step-forward", '\ueb61'),
    MEDIA_STOP("cil-media-stop", '\ueb62'),
    MEDICAL_CROSS("cil-medical-cross", '\ueb63'),
    MEH("cil-meh", '\ueb64'),
    MEMORY("cil-memory", '\ueb65'),
    MENU("cil-menu", '\ueb66'),
    MIC("cil-mic", '\ueb67'),
    MICROPHONE("cil-microphone", '\ueb68'),
    MINUS("cil-minus", '\ueb69'),
    MOBILE("cil-mobile", '\ueb6a'),
    MOBILE_LANDSCAPE("cil-mobile-landscape", '\ueb6b'),
    MONEY("cil-money", '\ueb6c'),
    MONITOR("cil-monitor", '\ueb6d'),
    MOOD_BAD("cil-mood-bad", '\ueb6e'),
    MOOD_GOOD("cil-mood-good", '\ueb6f'),
    MOOD_VERY_BAD("cil-mood-very-bad", '\ueb70'),
    MOOD_VERY_GOOD("cil-mood-very-good", '\ueb71'),
    MOON("cil-moon", '\ueb72'),
    MOUSE("cil-mouse", '\ueb73'),
    MOUTH_SLASH("cil-mouth-slash", '\ueb74'),
    MOVE("cil-move", '\ueb75'),
    MOVIE("cil-movie", '\ueb76'),
    MUG("cil-mug", '\ueb77'),
    MUG_TEA("cil-mug-tea", '\ueb78'),
    MUSIC_NOTE("cil-music-note", '\ueb79'),
    NEWSPAPER("cil-newspaper", '\ueb7a'),
    NOTES("cil-notes", '\ueb7c'),
    NOTE_ADD("cil-note-add", '\ueb7b'),
    OBJECT_GROUP("cil-object-group", '\ueb7d'),
    OBJECT_UNGROUP("cil-object-ungroup", '\ueb7e'),
    OPACITY("cil-opacity", '\ueb7f'),
    OPENTYPE("cil-opentype", '\ueb80'),
    OPTIONS("cil-options", '\ueb81'),
    PAINT("cil-paint", '\ueb82'),
    PAINT_BUCKET("cil-paint-bucket", '\ueb83'),
    PAPERCLIP("cil-paperclip", '\ueb85'),
    PAPER_PLANE("cil-paper-plane", '\ueb84'),
    PARAGRAPH("cil-paragraph", '\ueb86'),
    PAW("cil-paw", '\ueb87'),
    PEN("cil-pen", '\ueb88'),
    PENCIL("cil-pencil", '\ueb8b'),
    PEN_ALT("cil-pen-alt", '\ueb89'),
    PEN_NIB("cil-pen-nib", '\ueb8a'),
    PEOPLE("cil-people", '\ueb8c'),
    PHONE("cil-phone", '\ueb8d'),
    PIN("cil-pin", '\ueb8e'),
    PIZZA("cil-pizza", '\ueb8f'),
    PLANT("cil-plant", '\ueb90'),
    PLAYLIST_ADD("cil-playlist-add", '\ueb91'),
    PLUS("cil-plus", '\ueb92'),
    POOL("cil-pool", '\ueb93'),
    POWER_STANDBY("cil-power-standby", '\ueb94'),
    PREGNANT("cil-pregnant", '\ueb95'),
    PRINT("cil-print", '\ueb96'),
    PUSHCHAIR("cil-pushchair", '\ueb97'),
    PUZZLE("cil-puzzle", '\ueb98'),
    QR_CODE("cil-qr-code", '\ueb99'),
    RAIN("cil-rain", '\ueb9a'),
    RECTANGLE("cil-rectangle", '\ueb9b'),
    RECYCLE("cil-recycle", '\ueb9c'),
    RELOAD("cil-reload", '\ueb9d'),
    REPORT_SLASH("cil-report-slash", '\ueb9e'),
    RESIZE_BOTH("cil-resize-both", '\ueb9f'),
    RESIZE_HEIGHT("cil-resize-height", '\ueba0'),
    RESIZE_WIDTH("cil-resize-width", '\ueba1'),
    RESTAURANT("cil-restaurant", '\ueba2'),
    ROOM("cil-room", '\ueba3'),
    ROUTER("cil-router", '\ueba4'),
    ROWING("cil-rowing", '\ueba5'),
    RSS("cil-rss", '\ueba6'),
    RUBLE("cil-ruble", '\ueba7'),
    RUNNING("cil-running", '\ueba8'),
    SAD("cil-sad", '\ueba9'),
    SATELITE("cil-satelite", '\uebaa'),
    SAVE("cil-save", '\uebab'),
    SCHOOL("cil-school", '\uebac'),
    SCREEN_DESKTOP("cil-screen-desktop", '\uebad'),
    SCREEN_SMARTPHONE("cil-screen-smartphone", '\uebae'),
    SCRUBBER("cil-scrubber", '\uebaf'),
    SEARCH("cil-search", '\uebb0'),
    SEND("cil-send", '\uebb1'),
    SETTINGS("cil-settings", '\uebb2'),
    SHARE("cil-share", '\uebb3'),
    SHARE_ALL("cil-share-all", '\uebb4'),
    SHARE_ALT("cil-share-alt", '\uebb5'),
    SHARE_BOXED("cil-share-boxed", '\uebb6'),
    SHIELD_ALT("cil-shield-alt", '\uebb7'),
    SHORT_TEXT("cil-short-text", '\uebb8'),
    SHOWER("cil-shower", '\uebb9'),
    SIGNAL_CELLULAR_0("cil-signal-cellular-0", '\uebbb'),
    SIGNAL_CELLULAR_3("cil-signal-cellular-3", '\uebbc'),
    SIGNAL_CELLULAR_4("cil-signal-cellular-4", '\uebbd'),
    SIGN_LANGUAGE("cil-sign-language", '\uebba'),
    SIM("cil-sim", '\uebbe'),
    SITEMAP("cil-sitemap", '\uebbf'),
    SMILE("cil-smile", '\uebc0'),
    SMILE_PLUS("cil-smile-plus", '\uebc1'),
    SMOKE("cil-smoke", '\uebc2'),
    SMOKE_FREE("cil-smoke-free", '\uebc3'),
    SMOKE_SLASH("cil-smoke-slash", '\uebc4'),
    SMOKING_ROOM("cil-smoking-room", '\uebc5'),
    SNOWFLAKE("cil-snowflake", '\uebc6'),
    SOCCER("cil-soccer", '\uebc7'),
    SOFA("cil-sofa", '\uebc8'),
    SORT_ALPHA_DOWN("cil-sort-alpha-down", '\uebc9'),
    SORT_ALPHA_UP("cil-sort-alpha-up", '\uebca'),
    SORT_ASCENDING("cil-sort-ascending", '\uebcb'),
    SORT_DESCENDING("cil-sort-descending", '\uebcc'),
    SORT_NUMERIC_DOWN("cil-sort-numeric-down", '\uebcd'),
    SORT_NUMERIC_UP("cil-sort-numeric-up", '\uebce'),
    SPA("cil-spa", '\uebcf'),
    SPACE_BAR("cil-space-bar", '\uebd0'),
    SPEAK("cil-speak", '\uebd1'),
    SPEAKER("cil-speaker", '\uebd2'),
    SPEECH("cil-speech", '\uebd3'),
    SPEEDOMETER("cil-speedometer", '\uebd4'),
    SPREADSHEET("cil-spreadsheet", '\uebd5'),
    SQUARE("cil-square", '\uebd6'),
    STAR("cil-star", '\uebd7'),
    STAR_HALF("cil-star-half", '\uebd8'),
    STORAGE("cil-storage", '\uebd9'),
    STREAM("cil-stream", '\uebda'),
    STRIKETHROUGH("cil-strikethrough", '\uebdb'),
    SUN("cil-sun", '\uebdc'),
    SWAP_HORIZONTAL("cil-swap-horizontal", '\uebdd'),
    SWAP_VERTICAL("cil-swap-vertical", '\uebde'),
    SWIMMING("cil-swimming", '\uebdf'),
    SYNC("cil-sync", '\uebe0'),
    TABLET("cil-tablet", '\uebe1'),
    TAG("cil-tag", '\uebe2'),
    TAGS("cil-tags", '\uebe3'),
    TASK("cil-task", '\uebe4'),
    TAXI("cil-taxi", '\uebe5'),
    TENNIS("cil-tennis", '\uebe6'),
    TENNIS_BALL("cil-tennis-ball", '\uebe7'),
    TERMINAL("cil-terminal", '\uebe8'),
    TERRAIN("cil-terrain", '\uebe9'),
    TEXT("cil-text", '\uebea'),
    TEXT_SHAPES("cil-text-shapes", '\uebeb'),
    TEXT_SIZE("cil-text-size", '\uebec'),
    TEXT_SQUARE("cil-text-square", '\uebed'),
    TEXT_STRIKE("cil-text-strike", '\uebee'),
    THUMB_DOWN("cil-thumb-down", '\uebef'),
    THUMB_UP("cil-thumb-up", '\uebf0'),
    TOGGLE_OFF("cil-toggle-off", '\uebf1'),
    TOGGLE_ON("cil-toggle-on", '\uebf2'),
    TOILET("cil-toilet", '\uebf3'),
    TOUCH_APP("cil-touch-app", '\uebf4'),
    TRANSFER("cil-transfer", '\uebf5'),
    TRANSLATE("cil-translate", '\uebf6'),
    TRASH("cil-trash", '\uebf7'),
    TRIANGLE("cil-triangle", '\uebf8'),
    TRUCK("cil-truck", '\uebf9'),
    TV("cil-tv", '\uebfa'),
    UNDERLINE("cil-underline", '\uebfb'),
    USB("cil-usb", '\uebfc'),
    USER("cil-user", '\uebfd'),
    USER_FEMALE("cil-user-female", '\uebfe'),
    USER_FOLLOW("cil-user-follow", '\uebff'),
    USER_PLUS("cil-user-plus", '\uec00'),
    USER_UNFOLLOW("cil-user-unfollow", '\uec01'),
    USER_X("cil-user-x", '\uec02'),
    VECTOR("cil-vector", '\uec03'),
    VERTICAL_ALIGN_BOTTOM("cil-vertical-align-bottom", '\uec04'),
    VERTICAL_ALIGN_CENTER("cil-vertical-align-center", '\uec05'),
    VERTICAL_ALIGN_TOP("cil-vertical-align-top", '\uec06'),
    VIDEO("cil-video", '\uec07'),
    VIDEOGAME("cil-videogame", '\uec08'),
    VIEW_COLUMN("cil-view-column", '\uec09'),
    VIEW_MODULE("cil-view-module", '\uec0a'),
    VIEW_QUILT("cil-view-quilt", '\uec0b'),
    VIEW_STREAM("cil-view-stream", '\uec0c'),
    VOICE("cil-voice", '\uec0d'),
    VOICE_OVER_RECORD("cil-voice-over-record", '\uec0e'),
    VOLUME_HIGH("cil-volume-high", '\uec0f'),
    VOLUME_LOW("cil-volume-low", '\uec10'),
    VOLUME_OFF("cil-volume-off", '\uec11'),
    WALK("cil-walk", '\uec12'),
    WALLET("cil-wallet", '\uec13'),
    WALLPAPER("cil-wallpaper", '\uec14'),
    WARNING("cil-warning", '\uec15'),
    WATCH("cil-watch", '\uec16'),
    WC("cil-wc", '\uec17'),
    WEIGHTLIFITNG("cil-weightlifitng", '\uec18'),
    WHEELCHAIR("cil-wheelchair", '\uec19'),
    WIFI_SIGNAL_0("cil-wifi-signal-0", '\uec1a'),
    WIFI_SIGNAL_1("cil-wifi-signal-1", '\uec1b'),
    WIFI_SIGNAL_2("cil-wifi-signal-2", '\uec1c'),
    WIFI_SIGNAL_3("cil-wifi-signal-3", '\uec1d'),
    WIFI_SIGNAL_4("cil-wifi-signal-4", '\uec1e'),
    WIFI_SIGNAL_OFF("cil-wifi-signal-off", '\uec1f'),
    WINDOW("cil-window", '\uec20'),
    WINDOW_MAXIMIZE("cil-window-maximize", '\uec21'),
    WINDOW_MINIMIZE("cil-window-minimize", '\uec22'),
    WINDOW_RESTORE("cil-window-restore", '\uec23'),
    WRAP_TEXT("cil-wrap-text", '\uec24'),
    X("cil-x", '\uec25'),
    X_CIRCLE("cil-x-circle", '\uec26'),
    YEN("cil-yen", '\uec27'),
    ZOOM("cil-zoom", '\uec28'),
    ZOOM_IN("cil-zoom-in", '\uec29'),
    ZOOM_OUT("cil-zoom-out", '\uec2a');

    public static CoreUiFree findByDescription(String description) {
        for (CoreUiFree font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    CoreUiFree(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}