/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2022 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.lineawesome;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum LineAwesomeRegular implements Ikon {
    ADDRESS_BOOK("lar-address-book", '\uf2b9'),
    ADDRESS_CARD("lar-address-card", '\uf2bb'),
    ANGRY("lar-angry", '\uf556'),
    ARROW_ALT_CIRCLE_DOWN("lar-arrow-alt-circle-down", '\uf358'),
    ARROW_ALT_CIRCLE_LEFT("lar-arrow-alt-circle-left", '\uf359'),
    ARROW_ALT_CIRCLE_RIGHT("lar-arrow-alt-circle-right", '\uf35a'),
    ARROW_ALT_CIRCLE_UP("lar-arrow-alt-circle-up", '\uf35b'),
    BELL("lar-bell", '\uf0f3'),
    BELL_SLASH("lar-bell-slash", '\uf1f6'),
    BOOKMARK("lar-bookmark", '\uf02e'),
    BUILDING("lar-building", '\uf1ad'),
    CALENDAR("lar-calendar", '\uf133'),
    CALENDAR_ALT("lar-calendar-alt", '\uf073'),
    CALENDAR_CHECK("lar-calendar-check", '\uf274'),
    CALENDAR_MINUS("lar-calendar-minus", '\uf272'),
    CALENDAR_PLUS("lar-calendar-plus", '\uf271'),
    CALENDAR_TIMES("lar-calendar-times", '\uf273'),
    CARET_SQUARE_DOWN("lar-caret-square-down", '\uf150'),
    CARET_SQUARE_LEFT("lar-caret-square-left", '\uf191'),
    CARET_SQUARE_RIGHT("lar-caret-square-right", '\uf152'),
    CARET_SQUARE_UP("lar-caret-square-up", '\uf151'),
    CHART_BAR("lar-chart-bar", '\uf080'),
    CHECK_CIRCLE("lar-check-circle", '\uf058'),
    CHECK_SQUARE("lar-check-square", '\uf14a'),
    CIRCLE("lar-circle", '\uf111'),
    CLIPBOARD("lar-clipboard", '\uf328'),
    CLOCK("lar-clock", '\uf017'),
    CLONE("lar-clone", '\uf24d'),
    CLOSED_CAPTIONING("lar-closed-captioning", '\uf20a'),
    COMMENT("lar-comment", '\uf075'),
    COMMENTS("lar-comments", '\uf086'),
    COMMENT_ALT("lar-comment-alt", '\uf27a'),
    COMMENT_DOTS("lar-comment-dots", '\uf4ad'),
    COMPASS("lar-compass", '\uf14e'),
    COPY("lar-copy", '\uf0c5'),
    COPYRIGHT("lar-copyright", '\uf1f9'),
    CREDIT_CARD("lar-credit-card", '\uf09d'),
    DIZZY("lar-dizzy", '\uf567'),
    DOT_CIRCLE("lar-dot-circle", '\uf192'),
    EDIT("lar-edit", '\uf044'),
    ENVELOPE("lar-envelope", '\uf0e0'),
    ENVELOPE_OPEN("lar-envelope-open", '\uf2b6'),
    EYE("lar-eye", '\uf06e'),
    EYE_SLASH("lar-eye-slash", '\uf070'),
    FILE("lar-file", '\uf15b'),
    FILE_ALT("lar-file-alt", '\uf15c'),
    FILE_ARCHIVE("lar-file-archive", '\uf1c6'),
    FILE_AUDIO("lar-file-audio", '\uf1c7'),
    FILE_CODE("lar-file-code", '\uf1c9'),
    FILE_EXCEL("lar-file-excel", '\uf1c3'),
    FILE_IMAGE("lar-file-image", '\uf1c5'),
    FILE_PDF("lar-file-pdf", '\uf1c1'),
    FILE_POWERPOINT("lar-file-powerpoint", '\uf1c4'),
    FILE_VIDEO("lar-file-video", '\uf1c8'),
    FILE_WORD("lar-file-word", '\uf1c2'),
    FLAG("lar-flag", '\uf024'),
    FLUSHED("lar-flushed", '\uf579'),
    FOLDER("lar-folder", '\uf07b'),
    FOLDER_OPEN("lar-folder-open", '\uf07c'),
    FROWN("lar-frown", '\uf119'),
    FROWN_OPEN("lar-frown-open", '\uf57a'),
    FUTBOL("lar-futbol", '\uf1e3'),
    GEM("lar-gem", '\uf3a5'),
    GRIMACE("lar-grimace", '\uf57f'),
    GRIN("lar-grin", '\uf580'),
    GRIN_ALT("lar-grin-alt", '\uf581'),
    GRIN_BEAM("lar-grin-beam", '\uf582'),
    GRIN_BEAM_SWEAT("lar-grin-beam-sweat", '\uf583'),
    GRIN_HEARTS("lar-grin-hearts", '\uf584'),
    GRIN_SQUINT("lar-grin-squint", '\uf585'),
    GRIN_SQUINT_TEARS("lar-grin-squint-tears", '\uf586'),
    GRIN_STARS("lar-grin-stars", '\uf587'),
    GRIN_TEARS("lar-grin-tears", '\uf588'),
    GRIN_TONGUE("lar-grin-tongue", '\uf589'),
    GRIN_TONGUE_SQUINT("lar-grin-tongue-squint", '\uf58a'),
    GRIN_TONGUE_WINK("lar-grin-tongue-wink", '\uf58b'),
    GRIN_WINK("lar-grin-wink", '\uf58c'),
    HANDSHAKE("lar-handshake", '\uf2b5'),
    HAND_LIZARD("lar-hand-lizard", '\uf258'),
    HAND_PAPER("lar-hand-paper", '\uf256'),
    HAND_PEACE("lar-hand-peace", '\uf25b'),
    HAND_POINTER("lar-hand-pointer", '\uf25a'),
    HAND_POINT_DOWN("lar-hand-point-down", '\uf0a7'),
    HAND_POINT_LEFT("lar-hand-point-left", '\uf0a5'),
    HAND_POINT_RIGHT("lar-hand-point-right", '\uf0a4'),
    HAND_POINT_UP("lar-hand-point-up", '\uf0a6'),
    HAND_ROCK("lar-hand-rock", '\uf255'),
    HAND_SCISSORS("lar-hand-scissors", '\uf257'),
    HAND_SPOCK("lar-hand-spock", '\uf259'),
    HDD("lar-hdd", '\uf0a0'),
    HEART("lar-heart", '\uf004'),
    HOSPITAL("lar-hospital", '\uf0f8'),
    HOURGLASS("lar-hourglass", '\uf254'),
    ID_BADGE("lar-id-badge", '\uf2c1'),
    ID_CARD("lar-id-card", '\uf2c2'),
    IMAGE("lar-image", '\uf03e'),
    IMAGES("lar-images", '\uf302'),
    KEYBOARD("lar-keyboard", '\uf11c'),
    KISS("lar-kiss", '\uf596'),
    KISS_BEAM("lar-kiss-beam", '\uf597'),
    KISS_WINK_HEART("lar-kiss-wink-heart", '\uf598'),
    LAUGH("lar-laugh", '\uf599'),
    LAUGH_BEAM("lar-laugh-beam", '\uf59a'),
    LAUGH_SQUINT("lar-laugh-squint", '\uf59b'),
    LAUGH_WINK("lar-laugh-wink", '\uf59c'),
    LEMON("lar-lemon", '\uf094'),
    LIFE_RING("lar-life-ring", '\uf1cd'),
    LIGHTBULB("lar-lightbulb", '\uf0eb'),
    LIST_ALT("lar-list-alt", '\uf022'),
    MAP("lar-map", '\uf279'),
    MEH("lar-meh", '\uf11a'),
    MEH_BLANK("lar-meh-blank", '\uf5a4'),
    MEH_ROLLING_EYES("lar-meh-rolling-eyes", '\uf5a5'),
    MINUS_SQUARE("lar-minus-square", '\uf146'),
    MONEY_BILL_ALT("lar-money-bill-alt", '\uf3d1'),
    MOON("lar-moon", '\uf186'),
    NEWSPAPER("lar-newspaper", '\uf1ea'),
    OBJECT_GROUP("lar-object-group", '\uf247'),
    OBJECT_UNGROUP("lar-object-ungroup", '\uf248'),
    PAPER_PLANE("lar-paper-plane", '\uf1d8'),
    PAUSE_CIRCLE("lar-pause-circle", '\uf28b'),
    PLAY_CIRCLE("lar-play-circle", '\uf144'),
    PLUS_SQUARE("lar-plus-square", '\uf0fe'),
    QUESTION_CIRCLE("lar-question-circle", '\uf059'),
    REGISTERED("lar-registered", '\uf25d'),
    SAD_CRY("lar-sad-cry", '\uf5b3'),
    SAD_TEAR("lar-sad-tear", '\uf5b4'),
    SAVE("lar-save", '\uf0c7'),
    SHARE_SQUARE("lar-share-square", '\uf14d'),
    SMILE("lar-smile", '\uf118'),
    SMILE_BEAM("lar-smile-beam", '\uf5b8'),
    SMILE_WINK("lar-smile-wink", '\uf4da'),
    SNOWFLAKE("lar-snowflake", '\uf2dc'),
    SQUARE("lar-square", '\uf0c8'),
    STAR("lar-star", '\uf005'),
    STAR_HALF("lar-star-half", '\uf089'),
    STICKY_NOTE("lar-sticky-note", '\uf249'),
    STOP_CIRCLE("lar-stop-circle", '\uf28d'),
    SUN("lar-sun", '\uf185'),
    SURPRISE("lar-surprise", '\uf5c2'),
    THUMBS_DOWN("lar-thumbs-down", '\uf165'),
    THUMBS_UP("lar-thumbs-up", '\uf164'),
    TIMES_CIRCLE("lar-times-circle", '\uf057'),
    TIRED("lar-tired", '\uf5c8'),
    TRASH_ALT("lar-trash-alt", '\uf2ed'),
    USER("lar-user", '\uf007'),
    USER_CIRCLE("lar-user-circle", '\uf2bd'),
    WINDOW_CLOSE("lar-window-close", '\uf410'),
    WINDOW_MAXIMIZE("lar-window-maximize", '\uf2d0'),
    WINDOW_MINIMIZE("lar-window-minimize", '\uf2d1'),
    WINDOW_RESTORE("lar-window-restore", '\uf2d2');

    public static LineAwesomeRegular findByDescription(String description) {
        for (LineAwesomeRegular font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    LineAwesomeRegular(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}
